package com.thinker.suanfa.sort;

/**
 * @author lzh
 * @apiNote 选择排序，从小到大
 */
public class SelectSort {

    /**
     * @param arr 需要排序的数组
     */
    private static void selectSort(int[] arr) {
        for (int i = arr.length - 1; i >= 0; i--) {
            int k = 0;
            for (int j = 1; j <= i; j++) {
                if (arr[k] < arr[j]) {
                    k = j;
                }
            }
            if (k != i){
                int tmp = arr[k];
                arr[k] = arr[i];
                arr[i] = tmp;
            }
        }
    }

    public static void main(String[] args) {
        int[] arr = new int[]{4, 2, 6, 8, 9, 3, 1, 5};
        selectSort(arr);
        for (int i : arr) {
            System.out.print(i + "\t");
        }
    }
}
